Skip to main content

Update Memory

Update the text of an existing memory.

Endpoint​

PUT https://api.memory.audaxic.com/update

Request Body​

{
"memory_id": "mem_abc123",
"data": "Updated memory text"
}
FieldTypeRequiredDescription
memory_idstringYesID of the memory to update
datastringYesNew text for the memory

Response​

{
"id": "mem_abc123",
"memory": "Updated memory text",
"metadata": {}
}
FieldTypeDescription
idstringMemory ID
memorystringUpdated memory text
metadataobjectAssociated metadata

Examples​

cURL​

curl -X PUT https://api.memory.audaxic.com/update \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ak_your_api_key" \
-d '{
"memory_id": "mem_abc123",
"data": "User now prefers light mode"
}'

JavaScript​

const response = await fetch("https://api.memory.audaxic.com/update", {
method: "PUT",
headers: {
"Content-Type": "application/json",
Authorization: "Bearer ak_your_api_key",
},
body: JSON.stringify({
memory_id: "mem_abc123",
data: "User now prefers light mode",
}),
});

const data = await response.json();
console.log(data);

Python​

import requests

response = requests.put(
"https://api.memory.audaxic.com/update",
headers={"Authorization": "Bearer ak_your_api_key"},
json={
"memory_id": "mem_abc123",
"data": "User now prefers light mode",
},
)

data = response.json()
print(data)